Skip to main content
`Ctrl`+`K`

# MFNMonitorRegisterCreateFn

A function prototype for functions that do the creation when provided to `MFNMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode MFNMonitorRegisterCreateFn(PetscViewer viewer,PetscViewerFormat format,void *ctx,PetscViewerAndFormat **result);

## Calling Sequence

- viewer - the viewer to be used with the `MFNMonitorRegisterFn`

- format - the format of the viewer

- ctx - a context for the monitor

- result - a `PetscViewerAndFormat` object

## See Also

MFN: Matrix Function, `MFNMonitorRegisterFn`, `MFNMonitorSet()`, `MFNMonitorRegister()`, `MFNMonitorFn`, `MFNMonitorRegisterDestroyFn`

## Level

advanced

## Location

include/slepcmfn.h

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages